Bug 434852 - runnin ipa-server-install with unattended set questions user
runnin ipa-server-install with unattended set questions user
Status: CLOSED ERRATA
Product: freeIPA
Classification: Community
Component: ipa-server (Show other bugs)
unspecified
All Linux
high Severity high
: ---
: ---
Assigned To: Simo Sorce
Chandrasekar Kannan
:
Depends On:
Blocks: 429034
  Show dependency treegraph
 
Reported: 2008-02-25 15:46 EST by Michael Gregg
Modified: 2015-01-04 18:30 EST (History)
1 user (show)

See Also:
Fixed In Version: freeipa-2.0.0-1.fc15
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-27 03:16:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix unattended installation (3.42 KB, patch)
2008-02-25 17:57 EST, Simo Sorce
no flags Details | Diff

  None (edit)
Description Michael Gregg 2008-02-25 15:46:05 EST
This is not the first time this bug has surfaced. This came up in a trac ticket.
I cannot find the trac system to reference the ticket. 

How reproducible:
Always

Steps to Reproduce:
1.run ipa-server-install while specifying the -U option
2.
3.
  
Actual results:
[root@iparhel5-64vm ~]# /usr/sbin/ipa-server-install -U
--hostname=iparhel5-64vm.dsqa.sjc2.redhat.com -r DSQA.SJC2.REDHAT.COM -p
Secret123 -P Secret123 -a Secret123 --setup-bind -u admin -d
==============================================================================
This program will setup the FreeIPA Server.

This includes:
  * Configure the Network Time Daemon (ntpd)
  * Create and configure an instance of Directory Server
  * Create and configure a Kerberos Domain Controller (KDC)
  * Configure Apache (httpd)
  * Configure TurboGears

To accept the default shown in brackets, press the Enter key.

The domain name has been calculated based on the host name.

Please confirm the domain name [dsqa.sjc2.redhat.com]: 


Expected results:
[root@iparhel5-64vm ~]# /usr/sbin/ipa-server-install -U
--hostname=iparhel5-64vm.dsqa.sjc2.redhat.com -r DSQA.SJC2.REDHAT.COM -p
Secret123 -P Secret123 -a Secret123 --setup-bind -u admin -d
<various installing texts>

I expect the script to either work, or exit with a error code and a explination
of what was wrong.
Comment 1 Simo Sorce 2008-02-25 17:57:51 EST
Created attachment 295856 [details]
Fix unattended installation
Comment 2 Michael Gregg 2008-02-27 14:30:01 EST
verified against:
1204139684 ipa-server-selinux-0.99.0-1 Wed Feb 27 2008 
1204139699 mod_auth_kerb-5.3-4.ipa Wed Feb 27 2008 
1204139706 ipa-admintools-0.99.0-1 Wed Feb 27 2008 
1204139706 ipa-python-0.99.0-1 Wed Feb 27 2008 
1204139712 ipa-server-0.99.0-2 Wed Feb 27 2008 

Note You need to log in before you can comment on or make changes to this bug.